Set custom animation in EJ2 JavaScript Tab control

4 Jan 202513 minutes to read

The Tab control supports custom animations for both previous and next actions using the Animation library. You can customize the animation using the animation property, which allows you to set easing, duration, and various other effects.

By default, the Tab uses the SlideLeftIn animation for the previous tab and SlideRightIn for the next tab. You can disable the animation by setting the animation effect to None.

To disable the indicator animation when the effect is set to None, use the following CSS:

.e-tab .e-tab-header:not(.e-vertical) .e-indicator, .e-tab .e-tab-header.e-vertical .e-indicator {
    transition: none;
}

The following example demonstrates some animation types suitable for the Tab control.

ej.base.enableRipple(true);

//Initialize Tab component

var tabObj = new ej.navigations.Tab({
        items: [
            {
            header: { 'text': 'Twitter', 'iconCss': 'e-twitter' },
            content: 'Twitter is an online social networking service that enables users to send and read short 140-character ' +
            'messages called "tweets". Registered users can read and post tweets, but those who are unregistered can only read ' +
            'them. Users access Twitter through the website interface, SMS or mobile device app Twitter Inc. is based in San ' +
            'Francisco and has more than 25 offices around the world. Twitter was created in March 2006 by Jack Dorsey, ' +
            'Evan Williams, Biz Stone, and Noah Glass and launched in July 2006. The service rapidly gained worldwide popularity, ' +
            'with more than 100 million users posting 340 million tweets a day in 2012.The service also handled 1.6 billion ' +
            'search queries per day.'
        },
        {
            header: { 'text': 'Facebook', 'iconCss': 'e-facebook' },
            content: 'Facebook is an online social networking service headquartered in Menlo Park, California. Its website was ' +
            'launched on February 4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo ' +
            'Saverin, Andrew McCollum, Dustin Moskovitz and Chris Hughes.The founders had initially limited the website\'\s ' +
            'membership to Harvard students, but later expanded it to colleges in the Boston area, the Ivy League, and Stanford ' +
            'University. It gradually added support for students at various other universities and later to high-school students.'
        },
        {
            header: { 'text': 'WhatsApp', 'iconCss': 'e-whatsapp' },
            content: 'WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates ' +
            'under a subscription business model. It uses the Internet to send text messages, images, video, user location and ' +
            'audio media messages to other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user ' +
            'base of up to one billion,[10] making it the most globally popular messaging application. WhatsApp Inc., based in ' +
            'Mountain View, California, was acquired by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.'
        }
        ]
    });
//Render initialized Tab component
tabObj.appendTo('#element');

var listObjPrevious = new ej.dropdowns.DropDownList({
    index: 0,
    placeholder: 'Select a animate type',
    popupHeight: '150px',
    change: () => { valueChange();  }
});
listObjPrevious.appendTo('#previousAnimation');

var listObjNext = new ej.dropdowns.DropDownList({
    index: 1,
    placeholder: 'Select a animate type',
    popupHeight: '150px',
    change: () => { valueChange1();  }
});
listObjNext.appendTo('#nextAnimation');

function valueChange() {
    tabObj.animation.previous.effect = listObjPrevious.value;
}
function valueChange1() {
    tabObj.animation.next.effect = listObjNext.value;
}
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Tab</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 Tab">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/material.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
    <style>
        .e-content .e-item {
            font-size: 12px;
            margin: 10px;
            text-align: justify;
        }
    
        .container {
            min-width: 350px;
            max-width: 500px;
            margin: 0 auto;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="default" style="padding-bottom:75px;">
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Previous Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <select id="previousAnimation"> 
                         <option value="SlideLeftIn">SlideLeftIn</option>
                         <option value="SlideRightIn">SlideRightIn</option>
                         <option value="FadeIn">FadeIn</option>
                         <option value="FadeOut">FadeOut</option>
                         <option value="FadeZoomIn">FadeZoomIn</option>
                         <option value="FadeZoomOut">FadeZoomOut</option>
                         <option value="ZoomIn">ZoomIn</option>
                         <option value="ZoomOut">ZoomOut</option>
                         <option value="None">None</option>
                    </select>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Next Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <select id="nextAnimation"> 
                          <option value="SlideLeftIn">SlideLeftIn</option>
                          <option value="SlideRightIn">SlideRightIn</option>
                          <option value="FadeIn">FadeIn</option>
                          <option value="FadeOut">FadeOut</option>
                          <option value="FadeZoomIn">FadeZoomIn</option>
                          <option value="FadeZoomOut">FadeZoomOut</option>
                          <option value="ZoomIn">ZoomIn</option>
                          <option value="ZoomOut">ZoomOut</option>
                          <option value="None">None</option>
                    </select>
               </div>
        </div>
        <div id="element"></div>
        <br><br>
        <div id="result"></div>
    </div>


</div><script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Syncfusion AI Assistant

How can I help you?

Set custom animation in Angular Tab component

19 Sep 20259 minutes to read

The Tab component supports custom animations for both previous and next tab transitions using the built-in animation options from Syncfusion’s Animation library. The animation property allows you to configure easing, duration, and various animation effect options to create smooth, visually appealing tab transitions.

The default animation configuration uses SlideLeftIn for previous tab animation and SlideRightIn for next tab animation. Animation can be completely disabled by setting the animation effect as None.

When disabling animations by setting the effect to None, use the following CSS to also disable the indicator animation for a consistent experience:

.e-tab .e-tab-header:not(.e-vertical) .e-indicator, .e-tab .e-tab-header.e-vertical .e-indicator {
    transition: none;
}

The following sample demonstrates various animation types that work effectively with the Tab component. Explore different animation effects to find the best fit for your application’s user experience.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TabComponent, TabItemsDirective, TabItemDirective } from '@syncfusion/ej2-angular-navigations'


import { Component, ViewChild } from '@angular/core';

import { FormsModule } from '@angular/forms';

import { DropDownListModule, DropDownListComponent } from '@syncfusion/ej2-angular-dropdowns';
import { TabModule, TabActionSettingsModel } from '@syncfusion/ej2-angular-navigations';


@Component({
imports: [DropDownListModule,TabModule],
standalone: true,
    selector: 'app-container',
    template: `
    <div style='padding-top: 25px'>
    <div class='row'>
    <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
      <label> Previous Animation </label></div>
      <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
      <div class='custom_drop'><ejs-dropdownlist #previousAnimation (change)='previousAnimationChange()' index='0' [dataSource]='animationData' placeholder='Previous Animation'></ejs-dropdownlist></div>
    </div></div>
    <div class='row'>
    <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
    <label> Next Animation </label></div>
    <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
    <div class='custom_drop'><ejs-dropdownlist #nextAnimation (change)='nextAnimationChange()' index='1' [dataSource]='animationData' placeholder='Next Animation'></ejs-dropdownlist></div>
    </div></div>
    <div style='padding-top: 25px'>
     <ejs-tab id="element" #element>
            <e-tabitems>
                    <e-tabitem [header]='headerText[0]'>
                        <ng-template #content>
                            Twitter is an online social networking service that enables users to send and read short 140-character messages called "tweets".
                            Registered users can read and post tweets, but those who are unregistered can only read them. Users access Twitter
                            through the website interface, SMS or mobile device app Twitter Inc. is based in San Francisco and has more than 25
                            offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams, Biz Stone, and Noah Glass
                            and launched in July 2006. The service rapidly gained worldwide popularity, with more than 100 million users posting
                            340 million tweets a day in 2012.The service also handled 1.6 billion search queries per day.
                        </ng-template>
                    </e-tabitem>
                    <e-tabitem [header]='headerText[1]'>
                        <ng-template #content>
                            Facebook is an online social networking service headquartered in Menlo Park, California. Its website was launched on February
                            4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo Saverin, Andrew McCollum,
                            Dustin Moskovitz and Chris Hughes.The founders had initially limited the website\'\s membership to Harvard students,
                            but later expanded it to colleges in the Boston area, the Ivy League, and Stanford University. It gradually added support
                            for students at various other universities and later to high-school students.
                        </ng-template>
                    </e-tabitem>
                    <e-tabitem [header]='headerText[2]'>
                        <ng-template #content>
                            WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates under a subscription
                            business model. It uses the Internet to send text messages, images, video, user location and audio media messages to
                            other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user base of up to one billion,[10]
                            making it the most globally popular messaging application. WhatsApp Inc., based in Mountain View, California, was acquired
                            by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
                        </ng-template>
                    </e-tabitem>
                </e-tabitems>
            </ejs-tab>
    </div></div>
        `
})

export class AppComponent {
    @ViewChild('element') tabInstance?: TabComponent;
    @ViewChild('previousAnimation') previousInstance?: DropDownListComponent;
    @ViewChild('nextAnimation') nextInstance?: DropDownListComponent;
    public headerText: { text: string }[] = [{ 'text': 'Twitter' }, { 'text': 'Facebook' },{ 'text': 'WhatsApp' }];
    public animationData: string[] = ['SlideLeftIn', 'SlideRightIn', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None'];
    public previousAnimationChange(): void {
       ((this.tabInstance as TabComponent).animation.previous as TabActionSettingsModel).effect = (this.previousInstance as DropDownListComponent).value as any;
    }
    public nextAnimationChange(): void {
      ((this.tabInstance as TabComponent).animation.next as TabActionSettingsModel).effect = (this.nextInstance as DropDownListComponent).value as any;
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Syncfusion AI Assistant

How can I help you?

Set custom animation in Vue Tab component

28 Sep 202413 minutes to read

Tab supports custom animations for both previous and next actions from the provided animation option of Animation library.

The animation property also allows you to set easing, duration, and various other effects.

Default animation is given as SlideLeftIn for previous tab animation and SlideRightIn for next tab animation. You can also disable the animation by setting the animation effect as None. Also, please use the following CSS to disable indicator animation for animation effect as None.

.e-tab .e-tab-header:not(.e-vertical) .e-indicator, .e-tab .e-tab-header.e-vertical .e-indicator {
    transition: none;
}

The sample demonstrates some types of animation that suits Tab. You can check all the animation effects here.

<template>
  <div id="app">
    <div style='padding-top: 25px'>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Previous Animation </label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist ref="previousInstance" :change='previousAnimationChange' index='0'
              :dataSource='animationData' placeholder='Previous Animation'></ejs-dropdownlist></div>
        </div>
      </div>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Next Animation </label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist ref="nextInstance" :change='nextAnimationChange' index='1'
              :dataSource='animationData' placeholder='Next Animation'></ejs-dropdownlist></div>
        </div>
      </div>
      <div style='padding-top: 25px'>
        <ejs-tab id='element' ref="element">
          <e-tabitems>
            <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
            <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
            <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
          </e-tabitems>
        </ejs-tab>
      </div>
    </div>
  </div>
</template>
<script setup>

import { TabComponent as EjsTab, TabItemsDirective as ETabitems, TabItemDirective as ETabitem } from '@syncfusion/ej2-vue-navigations';
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";
import { ref } from 'vue';

const previousInstance = ref(null);
const nextInstance = ref(null);
const element = ref(null);
const headerText0 = { text: 'ASP.NET' };
const headerText1 = { text: 'ASP.NET MVC' };
const headerText2 = { text: 'JavaScript' };

const content0 = 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
  'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
  'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
  'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
  'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
  'ASP.NET components to process SOAP messages.';

const content1 = 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
  'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
  'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
  'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.';

const content2 = 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
  'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
  'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
  'both game development and the creation of desktop applications.';
const animationData = ['SlideLeftIn', 'SlideRightIn', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None'];

const previousAnimationChange = () => {
  var tabObj = element.value.ej2Instances;
  var ddlobj = previousInstance.value.ej2Instances;
  tabObj.animation.previous.effect = ddlobj.value;
};
const nextAnimationChange = () => {
  var tabObj = element.value.ej2Instances;
  var ddlobj = nextInstance.value.ej2Instances;
  tabObj.animation.next.effect = ddlobj.value;
}


</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>
<template>
  <div id="app">
    <div style='padding-top: 25px'>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Previous Animation </label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist ref="previousInstance" :change='previousAnimationChange' index='0'
              :dataSource='animationData' placeholder='Previous Animation'></ejs-dropdownlist></div>
        </div>
      </div>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Next Animation </label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist ref="nextInstance" :change='nextAnimationChange' index='1'
              :dataSource='animationData' placeholder='Next Animation'></ejs-dropdownlist></div>
        </div>
      </div>
      <div style='padding-top: 25px'>
        <ejs-tab id='element' ref="element">
          <e-tabitems>
            <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
            <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
            <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
          </e-tabitems>
        </ejs-tab>
      </div>
    </div>
  </div>
</template>
<script>

import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-vue-navigations';
import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";

export default {
  name: "App",
  components: {
    "ejs-dropdownlist": DropDownListComponent,
    "ejs-tab": TabComponent,
    "e-tabitems": TabItemsDirective,
    "e-tabitem": TabItemDirective
  },
  data: function () {
    return {
      headerText0: { text: 'ASP.NET' },
      headerText1: { text: 'ASP.NET MVC' },
      headerText2: { text: 'JavaScript' },

      content0: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
        'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
        'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
        'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
        'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
        'ASP.NET components to process SOAP messages.',

      content1: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
        'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
        'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
        'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.',

      content2: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
        'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
        'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
        'both game development and the creation of desktop applications.',
      animationData: ['SlideLeftIn', 'SlideRightIn', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None']
    };
  },
  methods: {
    previousAnimationChange: function () {
      var tabObj = this.$refs.element.ej2Instances;
      var ddlobj = this.$refs.previousInstance.ej2Instances;
      tabObj.animation.previous.effect = ddlobj.value;
    },
    nextAnimationChange: function () {
      var tabObj = this.$refs.element.ej2Instances;
      var ddlobj = this.$refs.nextInstance.ej2Instances;
      tabObj.animation.next.effect = ddlobj.value;
    }
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>

HelpBot Assistant

How can I help you?

Set custom animation in React Tab component

29 Aug 202317 minutes to read

Tab supports custom animations for both previous and next actions from the provided animation option of Animation library. The animation property also allows you to set easing, duration, and various other effect.

Default animation is given as SlideLeftIn for previous tab animation and SlideRightIn for next tab animation. You can also disable the animation by setting the animation effect as None. Also, please use the following CSS to disable indicator animation for animation effect as None.

.e-tab .e-tab-header:not(.e-vertical) .e-indicator, .e-tab .e-tab-header.e-vertical .e-indicator {
    transition: none;
}

The sample demonstrates some types of animation that suits Tab. You can check all the animation effects here.

import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import { useEffect, useRef } from 'react';
import * as React from "react";
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  const headerText = [{ text: "Twitter" }, { text: "Facebook" }, { text: "WhatsApp" }];
  const tabInstance = useRef(null);
  const previousInstance = useRef(null);
  const nextInstance = useRef(null);
  let animationData = ['SlideLeftIn', 'SlideRightIn', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None'];
  useEffect(() => {
    previousAnimationChange = previousAnimationChange;
    nextAnimationChange = nextAnimationChange;

  }, []);
  const twitterContent = () => {
    return <div>
      Twitter is an online social networking service that enables users to send and read short 140-character messages called "tweets". Registered users can read and post tweets, but those who are unregistered can only read them. Users access Twitter through the website interface, SMS or mobile device app Twitter Inc. is based in San Francisco and has more than 25 offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams, Biz Stone, and Noah Glass and launched in July 2006. The service rapidly gained worldwide popularity, with more than 100 million users posting 340 million tweets a day in 2012.The service also handled 1.6 billion search queries per day.
    </div>;
  }
  const faceBookContent = () => {
    return <div>
      Facebook is an online social networking service headquartered in Menlo Park, California. Its website was launched on February 4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo Saverin, Andrew McCollum, Dustin Moskovitz and Chris Hughes.The founders had initially limited the website membership to Harvard students, but later expanded it to colleges in the Boston area, the Ivy League, and Stanford University. It gradually added support for students at various other universities and later to high-school students.
    </div>;
  }
  const whatsAppcontent = () => {
    return <div>
      WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates under a subscription business model. It uses the Internet to send text messages, images, video, user location and audio media messages to other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user base of up to one billion,[10] making it the most globally popular messaging application. WhatsApp Inc., based in Mountain View, California, was acquired by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
    </div>;
  }
  let previousAnimationChange = () => {
    tabInstance.current.animation.previous = { effect: previousInstance.current.value };
  }
  let nextAnimationChange = () => {
    tabInstance.current.animation.next = { effect: nextInstance.current.value };
  }
  const wrapStyle = { padding: '25px 0 0' };
  return (
    <div style={wrapStyle}>
      <div className='row'>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Previous Animation </label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <DropDownListComponent ref={previousInstance} index={0} change={previousAnimationChange} dataSource={animationData} popupHeight="250px" placeholder="Select Previous animation" />
        </div>
      </div>
      <div className='row'>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Next Animation </label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <DropDownListComponent ref={nextInstance} index={0} change={nextAnimationChange} dataSource={animationData} popupHeight="250px" placeholder="Select Next animation" />
        </div>
      </div>
      <TabComponent ref={tabInstance}>
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={twitterContent} />
          <TabItemDirective header={headerText[1]} content={faceBookContent} />
          <TabItemDirective header={headerText[2]} content={whatsAppcontent} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
import { Effect } from '@syncfusion/ej2-base';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import { useEffect, useRef } from 'react';
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  const headerText: any = [{ text: "Twitter" }, { text: "Facebook" }, { text: "WhatsApp" }];
  const tabInstance = useRef<TabComponent>(null);
  const previousInstance = useRef<DropDownListComponent>(null);
  const nextInstance = useRef<DropDownListComponent>(null);
  let animationData: string[] = ['SlideLeftIn', 'SlideRightIn', 'FadeIn', 'FadeOut', 'FadeZoomIn', 'FadeZoomOut', 'ZoomIn', 'ZoomOut', 'None'];
  useEffect(() => {
    previousAnimationChange = previousAnimationChange;
    nextAnimationChange = nextAnimationChange;

  }, []);
  const twitterContent = () => {
    return <div>
      Twitter is an online social networking service that enables users to send and read short 140-character messages called "tweets". Registered users can read and post tweets, but those who are unregistered can only read them. Users access Twitter through the website interface, SMS or mobile device app Twitter Inc. is based in San Francisco and has more than 25 offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams, Biz Stone, and Noah Glass and launched in July 2006. The service rapidly gained worldwide popularity, with more than 100 million users posting 340 million tweets a day in 2012.The service also handled 1.6 billion search queries per day.
    </div>;
  }
  const faceBookContent = () => {
    return <div>
      Facebook is an online social networking service headquartered in Menlo Park, California. Its website was launched on February 4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo Saverin, Andrew McCollum, Dustin Moskovitz and Chris Hughes.The founders had initially limited the website membership to Harvard students, but later expanded it to colleges in the Boston area, the Ivy League, and Stanford University. It gradually added support for students at various other universities and later to high-school students.
    </div>;
  }
  const whatsAppcontent = () => {
    return <div>
      WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates under a subscription business model. It uses the Internet to send text messages, images, video, user location and audio media messages to other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user base of up to one billion,[10] making it the most globally popular messaging application. WhatsApp Inc., based in Mountain View, California, was acquired by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
    </div>;
  }
  let previousAnimationChange = (): void => {
    tabInstance.current.animation.previous = { effect: previousInstance.current.value as Effect };
  }
  let nextAnimationChange = (): void => {
    tabInstance.current.animation.next = { effect: nextInstance.current.value as Effect };
  }
  const wrapStyle = { padding: '25px 0 0' };
  return (
    <div style={wrapStyle}>
      <div className='row'>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Previous Animation </label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <DropDownListComponent ref={previousInstance} index={0} change={previousAnimationChange} dataSource={animationData} popupHeight="250px" placeholder="Select Previous animation" />
        </div>
      </div>
      <div className='row'>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label> Next Animation </label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <DropDownListComponent ref={nextInstance} index={0} change={nextAnimationChange} dataSource={animationData} popupHeight="250px" placeholder="Select Next animation" />
        </div>
      </div>
      <TabComponent ref={tabInstance}>
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={twitterContent} />
          <TabItemDirective header={headerText[1]} content={faceBookContent} />
          <TabItemDirective header={headerText[2]} content={whatsAppcontent} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tab</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/33.1.44/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='container'>
        <div id='element'>
                <div id='loader'>Loading</div>
        </div>
    </div>
</body>

</html>